# Uses of Interface
org.pentaho.reporting.libraries.repository.Repository

Packages that use Repository
Package
Description
org.pentaho.reporting.libraries.repository
org.pentaho.reporting.libraries.repository.dummy
org.pentaho.reporting.libraries.repository.email
org.pentaho.reporting.libraries.repository.file
org.pentaho.reporting.libraries.repository.stream
org.pentaho.reporting.libraries.repository.zip
org.pentaho.reporting.libraries.repository.zipreader
org.pentaho.reporting.libraries.repository.zipwriter

## Uses of Repository in org.pentaho.reporting.libraries.repository

Subinterfaces of Repository in org.pentaho.reporting.libraries.repository
Modifier and Type
Interface
Description
`interface`
`UrlRepository`
A repository that can be globally identified by an URL.
Methods in org.pentaho.reporting.libraries.repository that return Repository
Modifier and Type
Method
Description
`Repository`
ContentEntity.`getRepository()`
Returns the current repository, to which tis entity belongs.
Methods in org.pentaho.reporting.libraries.repository with parameters of type Repository
Modifier and Type
Method
Description
`static ContentItem`
RepositoryUtilities.`createItem(Repository repository, String[] name)`
Tries to create a content item with the given path-name in the repository.
`static ContentLocation`
RepositoryUtilities.`createLocation(Repository repository, String[] name)`
Tries to create a content location with the given path-name in the repository.
`static ContentEntity`
RepositoryUtilities.`getEntity(Repository repository, String[] name)`
Returns the content entity for the given path name.
`static boolean`
RepositoryUtilities.`isExistsEntity(Repository repository, String[] name)`
Checks whether a given pathname points to a valid content entity.
`static void`
RepositoryUtilities.`writeAsZip(OutputStream outputStream, Repository repository)`
Writes the given repository as ZIP-File into the given output stream.
`static void`
RepositoryUtilities.`writeToZipStream(ZipOutputStream zipOutputStream, Repository repository)`
Writes the given repository to the given ZIP-output stream.

## Uses of Repository in org.pentaho.reporting.libraries.repository.dummy

Classes in org.pentaho.reporting.libraries.repository.dummy that implement Repository
Modifier and Type
Class
Description
`class`
`DummyRepository`
A dummy repositor is a empty repository that swallows all content fed into it.
Methods in org.pentaho.reporting.libraries.repository.dummy that return Repository
Modifier and Type
Method
Description
`Repository`
DummyContentItem.`getRepository()`
Returns the parent repository for this location.
`Repository`
DummyContentLocation.`getRepository()`
Returns the parent repository for this location.
Constructors in org.pentaho.reporting.libraries.repository.dummy with parameters of type Repository
Modifier
Constructor
Description
``
`DummyContentLocation(Repository repository, String name)`
Creates a new root DummyContentLocation with the given repository and name.

## Uses of Repository in org.pentaho.reporting.libraries.repository.email

Classes in org.pentaho.reporting.libraries.repository.email that implement Repository
Modifier and Type
Class
Description
`class`
`EmailRepository`
Creation-Date: 17.09.2008, 15:00:00
Methods in org.pentaho.reporting.libraries.repository.email that return Repository
Modifier and Type
Method
Description
`Repository`
EmailContentItem.`getRepository()`
`Repository`
EmailContentLocation.`getRepository()`

## Uses of Repository in org.pentaho.reporting.libraries.repository.file

Classes in org.pentaho.reporting.libraries.repository.file that implement Repository
Modifier and Type
Class
Description
`class`
`FileRepository`
A file-repository uses a subset of the local filesystem to provide a repository view on top of it.
Methods in org.pentaho.reporting.libraries.repository.file that return Repository
Modifier and Type
Method
Description
`Repository`
FileContentEntity.`getRepository()`
Returns the current repository, to which tis entity belongs.
Constructors in org.pentaho.reporting.libraries.repository.file with parameters of type Repository
Modifier
Constructor
Description
``
`FileContentLocation(Repository repository, File backend)`
Creates a new root-location for the given repository and directory.

## Uses of Repository in org.pentaho.reporting.libraries.repository.stream

Classes in org.pentaho.reporting.libraries.repository.stream that implement Repository
Modifier and Type
Class
Description
`class`
`StreamRepository`
A repository that feeds a single source.
Methods in org.pentaho.reporting.libraries.repository.stream that return Repository
Modifier and Type
Method
Description
`Repository`
StreamContentItem.`getRepository()`
Returns the current repository, to which tis entity belongs.
`Repository`
StreamContentLocation.`getRepository()`
Returns the current repository, to which tis entity belongs.

## Uses of Repository in org.pentaho.reporting.libraries.repository.zip

Classes in org.pentaho.reporting.libraries.repository.zip that implement Repository
Modifier and Type
Class
Description
`class`
`ZipRepository`
A read-write repository based on ZIP streams.
Methods in org.pentaho.reporting.libraries.repository.zip that return Repository
Modifier and Type
Method
Description
`Repository`
ZipContentItem.`getRepository()`
`Repository`
ZipContentLocation.`getRepository()`
Methods in org.pentaho.reporting.libraries.repository.zip with parameters of type Repository
Modifier and Type
Method
Description
`void`
ZipRepository.`writeToZipStream(ZipOutputStream zipOutputStream, Repository repository)`

## Uses of Repository in org.pentaho.reporting.libraries.repository.zipreader

Classes in org.pentaho.reporting.libraries.repository.zipreader that implement Repository
Modifier and Type
Class
Description
`class`
`ZipReadRepository`
Provides read-only access to ZIP files.
Methods in org.pentaho.reporting.libraries.repository.zipreader that return Repository
Modifier and Type
Method
Description
`Repository`
ZipReadContentItem.`getRepository()`
`Repository`
ZipReadContentLocation.`getRepository()`

## Uses of Repository in org.pentaho.reporting.libraries.repository.zipwriter

Classes in org.pentaho.reporting.libraries.repository.zipwriter that implement Repository
Modifier and Type
Class
Description
`class`
`ZipRepository`
Creation-Date: 01.12.2006, 21:12:39
Methods in org.pentaho.reporting.libraries.repository.zipwriter that return Repository
Modifier and Type
Method
Description
`Repository`
ZipContentItem.`getRepository()`
`Repository`
ZipContentLocation.`getRepository()`